PROGRAM DGEMM_CHECK 
  IMPLICIT NONE
  EXTERNAL DGEMM
  INTEGER I, J
  DOUBLE PRECISION, ALLOCATABLE :: A(:,:)
  DOUBLE PRECISION, ALLOCATABLE :: B(:,:)
  DOUBLE PRECISION, ALLOCATABLE :: C(:,:)
  INTEGER M    ! Number of rows of A
  INTEGER N    ! Number of cols of B
  INTEGER K    ! Number of columns of matrix op(a) and rows op(b)
  INTEGER LDA ! Leading dimension of A
  INTEGER LDB ! Leading dimension of B
  INTEGER LDC ! Leading dimension of C
  DOUBLE PRECISION ALPHA, BETA 

  M=16
  N=M
  K=M
  LDA=M
  LDB=M
  LDC=M
  ALPHA=1.0
  BETA=0.0

  ALLOCATE(A(LDA,K), B(LDB,N), C(LDC,N))


  Do i = 1,16
  Do j =1,16
  A(i,j) = 0.
  B(i,j) = 0.
  C(i,j) = 0.
  ENDDO
  ENDDO

  DO I = 1,8
  A(I,I+8) = 1.
  B(I+8,I) = 1.
  END DO


  CALL DGEMM('N','N',M,N,K,ALPHA,A,LDA,B,LDB,BETA,C,LDC)

  DO I = LBOUND(C,1), UBOUND(C,1)
  WRITE(*,*) (C(I,J), J=LBOUND(C,2), UBOUND(C,2))
  END DO

END PROGRAM DGEMM_CHECK 
